# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "swagger"
version = "0.3.0"
authors = ["Metaswitch Networks Ltd"]
description = "A set of common utilities for Rust code generated by swagger-codegen"
homepage = "https://github.com/Metaswitch/swagger-rs"
license = "Apache-2.0"
repository = "https://github.com/Metaswitch/swagger-rs"
[dependencies.iron]
version = "0.5"

[dependencies.base64]
version = "0.5"

[dependencies.serde_json]
version = "1.0"
optional = true

[dependencies.serde_derive]
version = "1.0"
optional = true

[dependencies.serde]
version = "1.0"
optional = true

[dependencies.hyper]
version = "0.10"

[features]
serdejson = ["serde", "serde_json", "serde_derive"]
default = ["serdejson"]
[badges.travis-ci]
repository = "Metaswitch/swagger-rs"
